Subject: Re: Bash Problems
From: [email-masked] (Peter Dalgaard BSA)

15 May 1997 23:53:34 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Original-To: Steen Ulrik Palm <[email-masked]>
Original-Cc: [email-masked]
In-Reply-To: Steen Ulrik Palm's message of Wed, 14 May 1997 08:52:51 +0100
X-Mailer: Gnus v5.3/Emacs 19.34
Original-Sender: [email-masked]

Steen Ulrik Palm <[email-masked]> writes:

> 
> I have downloaded and installed the 18b version of the gnu-win32 user
> tools under Windows 95. Bash has now been defined as the default shell
> in Emacs and bash runs smoothly within a *shell* buffer.

Heyyy!! What a neat trick! Would you mind putting a small document
together on how you did that? (Which Emacs version, etc.)

> However, I have problems when running bash from a DOS prompt
> window. Firstly, the `Alt Char' key does not work. This means that I'm
> not able to get access to the characters `$', `|', ``' and others
> which hampers the usefulness of bash considerably. I have tried to
> define some keybindings for these characters in ~/.inputrc, but for
> unknown reasons it does not work.

Most of this didn't happen in 17.1, so it should be fixable. However,
17.1 had trouble with deadkeys, which lost us ~, ^, and `, so
restoring the old behavior is not good enough. This is a known bug in
the DOS box itself under W95/Win32 (it's on Microsofts bug list), and
there's no workaround. We need a better terminal window altogether!

-- 
   O__  ---- Peter Dalgaard             Blegdamsvej 3  
  c/ /'_ --- Dept. of Biostatistics     2200 Cph. N   
 (*) \(*) -- University of Copenhagen   Denmark      Ph: (+45) 35327918
~~~~~~~~~~ - ([email-masked])             FAX: (+45) 35327907
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".